Bug 812385 - Home Page - Links to PDF files do not work
Home Page - Links to PDF files do not work
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.CR02
i686 Linux
unspecified Severity low
: ---
: 5.2.1.GA
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 10:51 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8694 by hfnukal at 2012-04-16 05:33:38 EDT (show)
8694 by hfnukal at 2012-04-16 05:33:38 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 812385 - Home Page - Links to PDF files do not work

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/serverAddon/src/main/resources/conf/gatein/controller.xml (+1 / -1)


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2012-04-13 10:51:08 EDT
Description of problem:
Links to PDF files in Home Page portlet do not work.

Namely the problems are:
- "What Does JBoss EPP 5 Mean To Me?" points to http://[IP_ADDR]:8080/portal/docs/gatein-3-10.pdf
- "Portals The Red Hat Way" points to http://[IP_ADDR]:8080/portal/docs/JBoss_Portals_0310.pdf

Clicking on any of the links leads to HTTP status 404 and the following error in the server log:

ERROR [WebAppController] Could not associate the request path=/docs/gatein-3-10.pdf with an handler

(ERROR [WebAppController] Could not associate the request path=/docs/JBoss_Portals_0310.pdf with an handler)
Comment 1 Michal Vanco 2012-04-13 13:54:29 EDT
Can be fixed by updating pattern of staticResource handler at controller.xml:

<!-- Static resource handler needs to be before the portal handler -->
  <route path="/{gtn:path}">
    <route-param qname="gtn:handler">
      <value>staticResource</value>
    </route-param>
    <path-param qname="gtn:path" encoding="preserve-path">
      <pattern>.*\.(jpg|png|gif|ico|css|pdf)</pattern>
    </path-param>
  </route>

Note You need to log in before you can comment on or make changes to this bug.